Bug 179920 - [feature request] - new fencing agent to notify admin
[feature request] - new fencing agent to notify admin
Status: CLOSED WONTFIX
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: fence (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jim Parsons
Cluster QE
:
Depends On:
Blocks: 202048
  Show dependency treegraph
 
Reported: 2006-02-03 16:15 EST by Jonathan Earl Brassow
Modified: 2009-04-16 16:11 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-08 09:27:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jonathan Earl Brassow 2006-02-03 16:15:47 EST
I think it would be cool to have a 'fence_email_admin.xx' fence script that
simply takes a message and email address as arguments.  It is basically a
wrapper around mail.

The idea would be to:
<method name="power">
        <device name="apc" port="2"/>
        <device name="email" msg="Node X just got fenced" email_addr="x@y.com"/>
</method>
<method name="manual">
        <device name="email" msg="Cluster foo, Node X needs manual fencing!"
email_addr="x@y.com"/>
        <device name="human" ipaddr="nodeX"/>
</method>


This fencing method would always have to return true (you wouldn't want it to
hold up the real fencing).
Comment 1 Jim Parsons 2006-08-08 09:27:33 EDT
This feature will be available in Conga - closing this ticket and refiling
aagainst the conga component.

Note You need to log in before you can comment on or make changes to this bug.